//Modified May 10, 2017
//N.Shevchuk
//Modified by Megumi Iwata on 01.05.2018

#include <SoftwareSerial.h>
#define rxPin 3  // PB3 recieves signal from the computer(other board), TDX in Eagle
#define txPin 4  // PB4 transmits signal to the computer, RDX in Eagle


SoftwareSerial mySerial(rxPin,txPin); 
void setup()
{
  //pinMode(ledPin, OUTPUT); 
  pinMode(rxPin, INPUT);
  pinMode(txPin, OUTPUT);
  mySerial.begin(9600); //Define serial speed to 9600 bits per second
}
void loop() 
{
  if(mySerial.available() > 0) //If there is data on the serial
    {    
    char command = mySerial.read(); //charecter is read into variable 
    if(command == '1') //if serial command value is 1, do this:
      {
        mySerial.println("NODE1 ON");
        }
    else if (command == '2') //if serial command value = 2
      { 
        mySerial.println("NODE2 BLINK");
       }
    } 
}
